2018-07-21 00:02 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004737Kali Linux[All Projects] New Tool Requestspublic2018-05-08 15:27
Reporterg0tmi1k 
Assigned Tog0tmi1k 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2018.3 
Summary0004737: Update SMBMap to use impacket v0.9.15
DescriptionUpdating SMBMap and slightly patching it - makes it work!
Steps To Reproduceroot@kali:~/smbmap# git diff
diff --git a/requirements.txt b/requirements.txt
index 55933a6..ac9fd33 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,3 +1,3 @@
-https://github.com/CoreSecurity/impacket/archive/impacket_0_9_13.zip
+https://github.com/CoreSecurity/impacket/archive/impacket_0_9_15.zip
 pyasn1
 pycrypto
diff --git a/smbmap.py b/smbmap.py
old mode 100644
new mode 100755
root@kali:~/smbmap#
root@kali:~/smbmap# smbmap -H 192.168.1.162 -u offsec -p lab -x 'net user'
[+] Finding open SMB ports....
[+] User SMB session establishd on 192.168.1.162...
[!] SMBTransport instance has no attribute 'setRemoteHost'
(<type 'exceptions.AttributeError'>, 'smbmap.py', 888)
root@kali:~/smbmap#
root@kali:~/smbmap# ./smbmap.py -H 192.168.1.162 -u offsec -p lab -x 'net user'
[+] Finding open SMB ports....
[+] User SMB session establishd on 192.168.1.162...

User accounts for \\

-------------------------------------------------------------------------------
Administrator [REMOVED] Guest
offsec [REMOVED]
The command completed with one or more errors.


root@kali:~/smbmap#
Additional InformationShould be able to use python-impacket
Attached Files

-Relationships
+Relationships

-Notes

~0009101

g0tmi1k (administrator)

https://github.com/ShawnDEvans/smbmap/pull/19

~0009145

g0tmi1k (administrator)

Pushed 1.0.5+git20180508-0kali1
+Notes

-Issue History
Date Modified Username Field Change
2018-05-04 03:03 g0tmi1k New Issue
2018-05-04 03:03 g0tmi1k Status new => assigned
2018-05-04 03:03 g0tmi1k Assigned To => g0tmi1k
2018-05-05 05:29 g0tmi1k Note Added: 0009101
2018-05-08 15:27 g0tmi1k Status assigned => resolved
2018-05-08 15:27 g0tmi1k Resolution open => fixed
2018-05-08 15:27 g0tmi1k Note Added: 0009145
2018-05-08 15:27 g0tmi1k Fixed in Version => 2018.3
+Issue History